# $APIC_NAMESPACE refers to the k8s namespace where APIConnect components were deployed. 
# $LOG_DIR is a destination directory for the log files, any empty dir should do
APIC_NAMESPACE=default
LOG_DIR=/home/ibmadmin/apic2018/logs

for __pod in $(kubectl get pods -n $APIC_NAMESPACE --show-all -o name | cut -d'/' -f2); do
  for __container in $(kubectl get pod -n $APIC_NAMESPACE $__pod -o jsonpath="{.spec.containers[*].name}"); do
    kubectl logs -n $APIC_NAMESPACE $__pod -c $__container &> $LOG_DIR/${__pod}_${__container}.log
    kubectl logs --previous -n $APIC_NAMESPACE $__pod -c $__container &> $LOG_DIR/${__pod}_${__container}__previous.log
       [ $? -eq 0 ] || rm -f $LOG_DIR/${__pod}_${__container}__previous.log
       done
       done
tar -C $LOG_DIR -cz -f apic-logs.tgz .